Draft: Dreptunghi

From FreeCAD Documentation
Revision as of 20:46, 21 February 2020 by FuzzyBot (talk | contribs) (Updating to match new version of source page)

Dreptunghi

poziția meniului
Draft → Rectangle
Ateliere
Draft, Arch
scurtătură
R E
Prezentat în versiune
-
A se vedea, de asemenea,
Part Box

Description

Descriere

Instrumentul Dreptunghi creează un dreptunghi prin alegerea a două puncte. Este nevoie de linewidth and color setată pe Bara de instrumente pentru bara de meniu. Puteți adăuga opțional un șanț de 45 de grade sau un filet circular la fiecare colț al dreptunghiului și puteți împărți dreptunghiul într-o serie de rânduri și/sau coloane de dimensiuni egale.

You can optionally add a 45 degree chamfer or circular fillet to every corner of the rectangle, and you can divide the rectangle into a series of equal-sized rows and columns.

Usage

Cum se utiliează

  1. Press the Draft Rectangle button, or press R then E keys
  2. Click a first corner point on the 3D view, or type a coordinate
  3. Click another opposite point on the 3D view, or type a coordinate. The rectangle will also be a face, even if it appears as wireframe.

The rectangle can be edited by double clicking on the element in the tree view, or by pressing the Draft Edit button. Then you can move the points to a new position.

The length and width of the rectangle can be changed after creation by changing its properties.

Options

Opțiuni

  • Press X, Y or Z after a point to constrain the next point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Press R or click the checkbox to check/uncheck the Relative button. If relative mode is on, the coordinates of the next point are relative to the last one. If not, they are absolute, taken from the (0,0,0) origin point.
  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, the Rectangle tool will restart after you finish or close it, allowing you to draw another one without pressing the Rectangle button again.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Press SHIFT while drawing to constrain your next point horizontally or vertically in relation to the last one.
  • Press I or the Filled button to have the rectangle filled with a face after it has been closed.
  • Press ESC or the Cancel button to abort the current Line command.
  • Rectangles, when in "Flat Lines" display mode, can display a hatch pattern, by setting their "Pattern" property.

Proprietăți

  • DATELength: Specifies the length of the rectangle
  • DATEWidth: Specifies the width of the rectangle
  • DATEChamfer Size: Specifies the size of chamfered corners
  • DATEFillet Radius: Specifies a curvature radius to give to the corners of the rectangle
  • DATERows: Allows to give horizontal subdivisions to this rectangle
  • DATEColumns: Allows to give vertical subdivisions to this rectangle
  • DATEMake Face: Fills the rectangle with a face
  • VEDERETexture Image: Allows to give the path to an image file to be mapped on the rectangle. It is up to you to give the rectangle the same proportion as the image if you want to avoid distortions. Blanking this property will remove the image.
  • VEDEREPattern: Specifies a hatch pattern to fill the wire with.
  • VEDEREPattern Size: Specifies the size of the hatch pattern

Data

  • DateLength: specifies the length of the shape in the X axis direction.
  • DateHeight: specifies the height of the shape in the Y axis direction.
  • DateChamfer Size: specifies the diagonal length of the 45° chamfer at each corner of the rectangle.
  • DateFillet Radius: specifies the radius of the 90° fillet at each corner of the rectangle.
  • DateRows: specifies the number of equal-sized rows in which the original shape is divided; by default, 1 row.
  • DateColumns: specifies the number of equal-sized columns in which the original shape is divided; by default, 1 column.
  • DateMake Face: specifies if the shape makes a face or not. If it is true a face is created, otherwise only the perimeter is considered part of the object.

View

  • VizualizarePattern: specifies a Draft Pattern with which to fill the face of the shape. This property only works if DateMake Face is true, and if VizualizareDisplay Mode is "Flat Lines".
  • VizualizarePattern Size: specifies the size of the Draft Pattern.
  • VizualizareTexture Image: specifies the path to an image file to be mapped on the face of the shape. Blanking this property will remove the image.
The rectangle should have the same proportions as the image to avoid distortions in the mapping.

Scripturi

Instrumentul dreptunghi poate fi folosit în macros și din consola Python utilizând următoarea funcție:

The Rectangle tool can be used in macros and from the Python console by using the following function:

Rectangle = makeRectangle(length, height, placement=None, face=None, support=None)
  • Creează un obiect Dreptunghi Rectangle cu lungimea length în direcția X și înălțimea height în direcția Y.
  • Dacă este dată o destinație de plasare, aceasta este utilizată.
  • Dacă face is None, dreptunghiul este afișat ca un cadru de sârmă, altfel ca o fațetă.
  • Se va folosi versiunea curentă Draft Linestyle de linie și culoare.
  • Returnează obiectul nou creat.

Exempluː

import FreeCAD, Draft

Rectangle1 = Draft.makeRectangle(4000, 1000)
Rectangle2 = Draft.makeRectangle(1000, 4000)

ZAxis = FreeCAD.Vector(0, 0, 1)
p3 = FreeCAD.Vector(1000, 1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 45))

Rectangle3 = Draft.makeRectangle(3500, 250, placement=place3)